Skip to main content
GET
/
cost_reports
/
{cost_report_token}
/
forecasted_costs
Get forecasted costs for a cost report
curl --request GET \
  --url https://api.vantage.sh/v2/cost_reports/{cost_report_token}/forecasted_costs \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.vantage.sh/v2/cost_reports/{cost_report_token}/forecasted_costs"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.vantage.sh/v2/cost_reports/{cost_report_token}/forecasted_costs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "links": {
    "self": "https://api.vantage.sh/v2/cost_reports/rprt_106b4bfcc2a03f63/forecasted_costs",
    "first": "https://api.vantage.sh/v2/cost_reports/rprt_106b4bfcc2a03f63/forecasted_costs?page=1",
    "next": null,
    "last": "https://api.vantage.sh/v2/cost_reports/rprt_106b4bfcc2a03f63/forecasted_costs?page=1",
    "prev": null
  },
  "forecasted_costs": [
    {
      "date": "2024-07-04T00:00:00Z",
      "amount": "10.0",
      "provider": "all",
      "service": "all"
    },
    {
      "date": "2024-07-04T00:00:00Z",
      "amount": "10.0",
      "provider": "aws",
      "service": "Amazon Elastic Compute Cloud - Compute"
    },
    {
      "date": "2024-07-04T00:00:00Z",
      "amount": "10.0",
      "provider": "azure",
      "service": "Virtual Machines"
    },
    {
      "date": "2024-07-05T00:00:00Z",
      "amount": "10.0",
      "provider": "all",
      "service": "all"
    },
    {
      "date": "2024-07-05T00:00:00Z",
      "amount": "10.0",
      "provider": "aws",
      "service": "Amazon Elastic Compute Cloud - Compute"
    },
    {
      "date": "2024-07-05T00:00:00Z",
      "amount": "10.0",
      "provider": "azure",
      "service": "Virtual Machines"
    },
    {
      "date": "2024-07-06T00:00:00Z",
      "amount": "10.0",
      "provider": "all",
      "service": "all"
    },
    {
      "date": "2024-07-06T00:00:00Z",
      "amount": "10.0",
      "provider": "aws",
      "service": "Amazon Elastic Compute Cloud - Compute"
    },
    {
      "date": "2024-07-06T00:00:00Z",
      "amount": "10.0",
      "provider": "azure",
      "service": "Virtual Machines"
    }
  ],
  "currency": "USD"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

cost_report_token
string
required

Query Parameters

start_date
string<date>

First date you would like to filter forecasted costs from. ISO 8601 formatted.

end_date
string<date>

Last date you would like to filter forecasted costs from. ISO 8601 formatted.

provider
enum<string>

Limit the forecasted costs to a specific provider. 'all' is accepted to filter to overall forecast.

Available options:
aws,
azure,
gcp,
snowflake,
databricks,
mongo,
datadog,
fastly,
new_relic,
opencost,
open_ai,
oracle,
confluent,
planetscale,
coralogix,
kubernetes,
custom_provider,
github,
linode,
grafana,
clickhouse,
temporal,
twilio,
azure_csp,
kubernetes_agent,
anthropic,
anyscale,
cursor,
elastic,
vercel,
redis_cloud,
circle_ci,
modal,
eleven_labs,
baseten,
cloudflare,
fireworks_ai,
all
service
string

Limit the forecasted costs to a specific service. 'all' is accepted to filter to overall forecast. e.g. 'Amazon ElastiCache'.

page
integer<int32>

The page of results to return.

limit
integer<int32>

The amount of results to return. The maximum is 1000.

Response

200 - application/json

ForecastedCosts model

forecasted_costs
object[]
required
currency
string | null
required

The currency of the forecasted costs.

Example:

"USD"